summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimo Fält <simo.falt@nokia.com>2012-06-29 13:03:07 +0300
committerJason McDonald <jason.mcdonald@nokia.com>2012-07-02 05:04:21 +0200
commitcd20dbba5feb9f6e44860100650f9b0f8007ba53 (patch)
tree561aca42d1f879cd023bb9f58d5680f4f55332f1
parent39ef6a86c822565e676d7e8a26bdac862619754f (diff)
Updates to jenkins build scripts
- changed the Makefile target from make_default to make_first, which is used to detect the correct build order for submoules Change-Id: Idd4ea3e7803c7641005d9018a09198a08bff073b Reviewed-by: Iikka Eklund <iikka.eklund@digia.com> Reviewed-by: Friedemann Kleint <Friedemann.Kleint@nokia.com>
-rwxr-xr-xrelease-tools/buildme_linux.sh10
-rwxr-xr-xrelease-tools/buildme_mac.sh15
2 files changed, 10 insertions, 15 deletions
diff --git a/release-tools/buildme_linux.sh b/release-tools/buildme_linux.sh
index 9e1a8e8..41d4de7 100755
--- a/release-tools/buildme_linux.sh
+++ b/release-tools/buildme_linux.sh
@@ -49,12 +49,12 @@
OLD_PATH=$PATH
export PATH=$PWD/Desktop/Qt/5.0.0/gcc/bin:$PWD/qtbase/bin:$PWD/../qt-everywhere-opensource-src-5.0.0/qtbase/bin:$PATH
CUR_DIR=$PWD
+export QMAKEPATH=$PWD/Desktop/Qt/5.0.0/gcc
# Configuring shadow build.
../qt-everywhere-opensource-src-5.0.0/configure -opensource -confirm-license -prefix $PWD/Desktop/Qt/5.0.0/gcc -make examples -nomake tests -release -no-gtkstyle
-CUR_DIR=$PWD
# Reading the build order from Makefile.
-MODULES=$(grep "^make_default:" Makefile| cut -d: -f2)
+MODULES=$(grep "^make_first:" Makefile| cut -d: -f2)
export IFS=" "
@@ -69,7 +69,7 @@ function failure_i()
}
for MODULE in $MODULES; do
- if [ $MODULE == sub-qtwebkit-pri-make_default ]; then
+ if [ $MODULE == sub-qtwebkit-pri-make_first ]; then
MODULE=qtwebkit
else
mod=${MODULE:7}
@@ -83,10 +83,6 @@ for MODULE in $MODULES; do
if [ $MODULE == qtwebkit ]; then
make module-$MODULE -j4 || failure_m $MODULE
# we can't install webkit just yet
- elif [ $MODULE == qtwebkit-examples-and-demos ]; then
- echo "***************************************"
- echo "Skipping $MODULE"
- echo "***************************************"
else
make module-$MODULE -j4 || failure_m $MODULE
pushd $MODULE
diff --git a/release-tools/buildme_mac.sh b/release-tools/buildme_mac.sh
index fcf0478..838fd7e 100755
--- a/release-tools/buildme_mac.sh
+++ b/release-tools/buildme_mac.sh
@@ -50,11 +50,11 @@ export PATH=$PWD/qtbase/bin:$PATH
export DYLD_FRAMEWORK_PATH=$PWD/qtbase/lib:$DYLD_FRAMEWORK_PATH
export IFS=" "
CUR_DIR=$PWD
-
+export LDFLAGS="-L$PWD/qtbase/lib"
./configure -opensource -confirm-license -prefix $PWD/qtbase -make examples -make libs -nomake tests -release
# Reading correct build order from Makefile.
-MODULES=$(grep "^make_default:" Makefile| cut -d: -f2)
+MODULES=$(grep "^make_first:" Makefile| cut -d: -f2)
function failure_m()
{
@@ -69,19 +69,18 @@ function failure_i()
}
for MODULE in $MODULES; do
- if [ $MODULE == sub-qtwebkit-pri-make_default ]; then
+ if [ $MODULE == sub-qtwebkit-pri-make_first ]; then
MODULE=qtwebkit
else
mod=${MODULE:7}
- MODULE=${mod%%-make_default}
+ MODULE=${mod%%-make_first}
fi
if [ "$MODULE" != "" ]; then
echo "***************************************"
echo "Now making and installing $MODULE"
echo "***************************************"
- if [ $MODULE == qtwebkit ]; then
- # Remove this once we have webkit building nicely in mac.
+ if [ $MODULE == something_you_dont_want_to_build ]; then
echo "***************************************"
echo "Skipping $MODULE"
echo "***************************************"
@@ -95,8 +94,8 @@ for MODULE in $MODULES; do
fi
done
-# install all
-make install INSTALL_ROOT=$PWD/Desktop || failure_i "All modules"
+# Disble install all for now
+# make install INSTALL_ROOT=$PWD/Desktop || failure_i "All modules"
export PATH=$OLD_PATH